<template>
  <!-- 发货通知页面 -->
  <div class="shipTransport">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      
      <el-button type="primary" class="btn" @click="onclick">
         <i class="el-icon-search"></i>查询 
      </el-button>
      <el-button type="primary" class="btn" @click="addClick">
        <i class="el-icon-circle-plus-outline"></i>新增
      </el-button>
    </div>
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <!-- 未下发 -->
      <el-tab-pane label="未下发" name="first">
        <dilTable v-bind.sync="option1" ref="table">
          <el-table-column
            fixed="right"
            align="center"
            label="操作"
            width="120"
          >
            <template slot-scope="scope">
              <el-button
                @click="sendClick(scope.row.noticeId)"
                type="text"
                size="small"
              >
                下发
              </el-button>
              <el-button
                @click="modifyclick(scope.row.noticeId)"
                type="text"
                size="small"
              >
                修改
              </el-button>
              <el-button
                @click="deleteclick(scope.row.noticeId)"
                type="text"
                size="small"
              >
                删除
              </el-button>
            </template>
          </el-table-column>
        </dilTable>
      </el-tab-pane>
      <!-- 已下发 -->
      <el-tab-pane label="已下发" name="second">
        <dilTable v-bind.sync="option2"> </dilTable>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      // restaurants: [],
      input: "",
      activeName: "first",
      option1: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getshipDeliveryNoticeList?apiId=69&status=0",
      },
      option2: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getshipDeliveryNoticeList?apiId=69&status=1",
      },
    };
  },
  methods: {
    // querySearch(queryString, cb) {
    //   var restaurants = this.restaurants;
    //   var results = queryString
    //     ? restaurants.filter(this.createFilter(queryString))
    //     : restaurants;
    //   cb(results);
    // },
    // createFilter(queryString) {
    //   return (restaurant) => {
    //     return (
    //       restaurant.value.toLowerCase().indexOf(queryString.toLowerCase()) ===
    //       0
    //     );
    //   };
    // },
    onclick() {
      // this.option.requestUrl =
      //   "/api/v1/tms/getshipDeliveryNoticeList?apiId=69&con=" + this.input;
    },
    addClick() {
      this.$router.push("/addDeliveryNotice/");
    },
    modifyclick(noticeId) {
      this.$router.push("/modifyDeliveryNotice/" + noticeId);
    },
    // deleteclick(scope) {
    //   let pathId = scope;
    //   this.axios
    //     .post("/api/v1/tms/operationPath/operationPathDelete?pathId=" + pathId)
    //     .then((res) => {
    //       this.$message({
    //         message: "删除成功",
    //         type: "success",
    //       });
    //       this.$router.go(0);
    //     });
    // },
    deleteclick(scope) {
      let noticeId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post("/api/v1/tms/deleteByNoticeId/" + noticeId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
    handleClick(tab, event) {
      console.log(tab, event);
    },
    sendClick(scope) {
      let noticeId = scope;
      this.$confirm("是否下发", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "下发成功!",
          });
          this.axios
            .post("/api/v1/tms/sendDeliveryNotice/" + noticeId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消下发!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.shipTransport {
  .top {
     padding: 1.25rem 0.375rem;
     .el-input{
       width: 20%;
       margin-right: 40rpx;
     }
  }
 
}
</style>
